Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Interface OrderHome

public interface OrderHome
extends SmartEJBHome

The home interface for the Order entity bean. Use this class to create, remove, and find Order entity beans.

Method Summary
`Order` | `create(OrderPk orderPk)` Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`java.util.Collection` | `findByCustomer(java.lang.String customerIdentifier)` Returns a list of Orders in the system that are associated with the specified Customer identifier.
`java.util.Collection` | `findByDate(java.sql.Date from, java.sql.Date to)` Returns a list of Orders in the system that fall within the given date range.
`Order` | `findByPrimaryKey(OrderPk orderPk)` Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.
`java.util.Collection` | `findByStatus(java.lang.String findStatus)` Returns an enumeration of all the Orders in the system with the specified status.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public Order create(OrderPk orderPk)
                 throws javax.ejb.CreateException,
                        java.rmi.RemoteException

  Create a new Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

### findByPrimaryKey

    public Order findByPrimaryKey(OrderPk orderPk)
                           throws java.rmi.RemoteException,
                                  javax.ejb.FinderException

  Find an Order entity bean using the com.beasys.commerce.ebusiness.order.OrderPk.

### findByStatus

    public java.util.Collection findByStatus(java.lang.String findStatus)
                                      throws java.rmi.RemoteException,
                                             javax.ejb.FinderException

  Returns an enumeration of all the Orders in the system with the specified status.

### findByCustomer

    public java.util.Collection findByCustomer(java.lang.String customerIdentifier)
                                        throws java.rmi.RemoteException,
                                               javax.ejb.FinderException

  Returns a list of Orders in the system that are associated with the specified Customer identifier.

### findByDate

    public java.util.Collection findByDate(java.sql.Date from,
                                           java.sql.Date to)
                                    throws java.rmi.RemoteException,
                                           javax.ejb.FinderException

  Returns a list of Orders in the system that fall within the given date range.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved